#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char **split(char frase[], char separador)
{
    int i, j, k, contsep = 0;

    for (i = 0, contsep = 0; i < strlen(frase); i++)
        if (frase[i] == separador)
            contsep++;

    char aux[contsep][20];
    char **result = (char **)malloc(contsep * sizeof(char));

    if (contsep)
    {
        for (i = 0; i <= contsep; i++)
            *(result + i) = (char *)malloc(40 * sizeof(char));

        for (i = 0, k = 0, j = 0; i < strlen(frase); i++)
            if (frase[i] != separador)
            {
                aux[k][j] = frase[i];
                j++;
            }
            else
            {
                aux[k][j] = 0;
                k++;
                j = 0;
            }
        aux[k][j] = 0;

        for (i = 0; i <= contsep; i++)
            *(result + i) = strcpy(*(result + i), aux[i]);

        return result;
    }
    else
        printf("Nenhum Separador Encontrado");
}

int main(int argc, char **argv)
{
    int a = 0;
    char linha[45];

    while (a == 0)
    {
        int r = 0;
        fgets(linha, 45, stdin);

        if (linha[0] == '0')
        {
            a = 1;
            break;
        }

        char palavras[100];
        int indice = 0;

        for (int i = 0; i < strlen(linha); i++)
        {

            if (linha[i] == ' ')
                indice++;
            else
                palavras[indice] = linha[i];
        }

        for (int i = 1; i <= indice; i++)
        {
            char aux = palavras[0];

            int foi = 1;
            for (int j = 0; j < strlen(palavras[i]) && foi; j++)
            {
                int achou = 0;
                for (int k = 0; k < strlen(aux) && !achou; k++)
                {
                    if (aux[k] == palavras[i][j])
                    {
                        aux[k] = '0';
                        achou = 0;
                    }
                }

                if (!achou)
                    foi = 0;
            }

            if (foi)
            {
                r++;
            }
        }
        printf("%d", r);
    }
}
